/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// @nolint
// please don't change these values manually, they are derived from the spreadsheet
// "2015 Partner Planning - list of color for apps" from the bizdev team

{.uuid = {0xe0, 0x89, 0x86, 0x19, 0xec, 0xcd, 0x43, 0x70, 0x91, 0x41, 0x2c, 0xe1, 0x9b, 0x91, 0xc4, 0x32}, .color_argb = GColorRedARGB8}, // Yelp
{.uuid = {0xd6, 0xdb, 0xcb, 0x9f, 0x06, 0x14, 0x48, 0x98, 0x99, 0x8c, 0xb7, 0xb6, 0x3e, 0x7c, 0xe5, 0x7c}, .color_argb = GColorRajahARGB8}, // Swarm
{.uuid = {0xe0, 0x89, 0x86, 0x19, 0xec, 0xcd, 0x43, 0x70, 0x91, 0x41, 0x2c, 0xe1, 0x9b, 0x91, 0xc4, 0x32}, .color_argb = GColorIslamicGreenARGB8}, // Evernote
{.uuid = {0xc5, 0xfb, 0xbd, 0x64, 0x9a, 0xae, 0x43, 0x5a, 0xa2, 0x9c, 0x1c, 0x99, 0xf0, 0x72, 0xa8, 0xf3}, .color_argb = GColorBlueMoonARGB8}, // eBay
{.uuid = {0x7b, 0x3f, 0x56, 0x49, 0xf0, 0x3a, 0x42, 0xf9, 0x9d, 0x86, 0xbe, 0x21, 0xb0, 0x47, 0x49, 0xa5}, .color_argb = GColorCobaltBlueARGB8}, // Pandora
{.uuid = {0x0b, 0x73, 0xb7, 0x6a, 0xcd, 0x65, 0x4d, 0xc2, 0x95, 0x85, 0xaa, 0xa2, 0x13, 0x32, 0x08, 0x58}, .color_argb = GColorBlackARGB8}, // Misfit
{.uuid = {0x7f, 0x97, 0x08, 0xf8, 0x9b, 0x15, 0x47, 0x57, 0x99, 0x18, 0xea, 0x3a, 0x4c, 0x85, 0x63, 0xa5}, .color_argb = GColorPictonBlueARGB8}, // Swim.com
{.uuid = {0x80, 0x89, 0x03, 0xcb, 0xfa, 0x37, 0x42, 0x47, 0xb0, 0x12, 0x7d, 0xfe, 0x5c, 0x92, 0x69, 0xe1}, .color_argb = GColorOrangeARGB8}, // Pixel Miner
{.uuid = {0x2e, 0xdf, 0xf9, 0xdf, 0x4d, 0x60, 0x47, 0xdb, 0x99, 0x62, 0x43, 0x7d, 0x40, 0xc5, 0xf1, 0xe2}, .color_argb = GColorLibertyARGB8}, // Tiny Bird
{.uuid = {0x17, 0xb3, 0x32, 0x24, 0x31, 0x7d, 0x44, 0xd7, 0x9e, 0x70, 0x62, 0x80, 0xd4, 0x2f, 0xb9, 0x39}, .color_argb = GColorMidnightGreenARGB8}, // PinyWings
{.uuid = {0x43, 0x6f, 0xe4, 0x62, 0x4a, 0xa0, 0x4c, 0xa3, 0xbd, 0x2c, 0x2c, 0x8e, 0x72, 0xb0, 0x32, 0x81}, .color_argb = GColorOrangeARGB8}, // Cards for Pebble
{.uuid = {0xdc, 0x36, 0x23, 0xce, 0xc8, 0x04, 0x4a, 0xba, 0x8b, 0xe4, 0xf0, 0x52, 0x73, 0xee, 0x87, 0x74}, .color_argb = GColorDarkGrayARGB8}, // Smartwatch+
{.uuid = {0x4b, 0x76, 0x00, 0x64, 0x14, 0x88, 0x40, 0x44, 0x96, 0x7a, 0x1b, 0x1d, 0x3a, 0xb3, 0x05, 0x74}, .color_argb = GColorDarkGrayARGB8}, // Glance
{.uuid = {0x24, 0xb0, 0xa1, 0xe5, 0xf0, 0xb1, 0x44, 0x0d, 0x8e, 0x53, 0x8f, 0x26, 0x68, 0x8a, 0x3f, 0x07}, .color_argb = GColorKellyGreenARGB8}, // Sleep as Android
{.uuid = {0xe3, 0x06, 0x00, 0x14, 0xbf, 0xe9, 0x4d, 0x03, 0xb7, 0x5e, 0x37, 0x4c, 0xc4, 0xdc, 0xa9, 0x7b}, .color_argb = GColorRajahARGB8}, // Alarms++
{.uuid = {0x54, 0x3e, 0xc8, 0xb0, 0xa9, 0x4b, 0x4f, 0xbb, 0x95, 0x31, 0x63, 0x47, 0x84, 0x2f, 0xcd, 0xb1}, .color_argb = GColorVividCeruleanARGB8}, // Timer (3rd party)
{.uuid = {0x1b, 0xdf, 0xe4, 0x35, 0x6a, 0x34, 0x42, 0xd5, 0xae, 0xd7, 0xac, 0xe2, 0x9f, 0xec, 0x12, 0x59}, .color_argb = GColorCadetBlueARGB8}, // NavMe
{.uuid = {0x4e, 0x81, 0x8f, 0xcd, 0x7d, 0xaf, 0x4d, 0x09, 0xba, 0x51, 0x60, 0x8a, 0x2a, 0x44, 0x98, 0x11}, .color_argb = GColorElectricUltramarineARGB8}, // LetsMuv
{.uuid = {0x7e, 0x4b, 0x6a, 0x11, 0xd4, 0x20, 0x46, 0x01, 0xa5, 0xd3, 0xeb, 0x44, 0x09, 0x39, 0x6a, 0x6f}, .color_argb = GColorKellyGreenARGB8}, // Endomondo
{.uuid = {0xf3, 0x8e, 0x8e, 0xf7, 0xf2, 0x10, 0x4b, 0x9a, 0xbf, 0xb3, 0x67, 0x26, 0xe2, 0x93, 0x4e, 0x09}, .color_argb = GColorPictonBlueARGB8}, // Movable
{.uuid = {0x58, 0x5f, 0x47, 0xed, 0x99, 0x97, 0x4e, 0x32, 0xbd, 0x94, 0x67, 0xb9, 0xc3, 0x64, 0xa5, 0xec}, .color_argb = GColorBlackARGB8}, // Mr Runner - Up
{.uuid = {0x09, 0x33, 0x25, 0xba, 0x1b, 0xe9, 0x4f, 0x5f, 0xba, 0x80, 0xb4, 0x75, 0x04, 0x75, 0x41, 0x91}, .color_argb = GColorSunsetOrangeARGB8}, // WW - Weather Watch
{.uuid = {0xfb, 0x53, 0x38, 0xd6, 0x75, 0x1c, 0x4d, 0x4f, 0x90, 0x74, 0x70, 0xd4, 0xba, 0xd0, 0x21, 0xa0}, .color_argb = GColorLightGrayARGB8}, // SmartStatus
{.uuid = {0x5b, 0xe4, 0x4f, 0x1d, 0xd2, 0x62, 0x4e, 0xa6, 0xaa, 0x30, 0xdd, 0xbe, 0xc1, 0xe3, 0xca, 0xb2}, .color_argb = GColorDukeBlueARGB8}, // Morpheuz
{.uuid = {0x5f, 0xac, 0x58, 0x89, 0x26, 0x70, 0x46, 0x43, 0x82, 0x57, 0xb0, 0x73, 0x87, 0x7d, 0x63, 0xce}, .color_argb = GColorIndigoARGB8}, // Awear
{.uuid = {0x48, 0x18, 0xa8, 0xbd, 0x6e, 0x53, 0x49, 0x1a, 0xb6, 0xb5, 0x63, 0x02, 0xb3, 0x36, 0x3d, 0x9b}, .color_argb = GColorSpringBudARGB8}, // Battery Lifetime
{.uuid = {0xe4, 0x16, 0x8f, 0x6c, 0xb4, 0x85, 0x4b, 0x6f, 0x99, 0xc4, 0x94, 0xaa, 0x95, 0x7e, 0x86, 0xd5}, .color_argb = GColorMalachiteARGB8}, // Music Boss
{.uuid = {0x0d, 0xb6, 0xa5, 0x5e, 0xb3, 0x2a, 0x4b, 0x03, 0xb0, 0x37, 0x95, 0x63, 0x7b, 0xf3, 0x06, 0xff}, .color_argb = GColorBlackARGB8}, // MultiTimer
{.uuid = {0x4d, 0x6e, 0xa3, 0xee, 0x0f, 0x2a, 0x4c, 0x33, 0xb0, 0x42, 0xe2, 0xe5, 0x6c, 0xe8, 0x0c, 0xd4}, .color_argb = GColorPurpleARGB8}, // Yo
{.uuid = {0x93, 0x6a, 0x77, 0x26, 0x4c, 0x8f, 0x41, 0x67, 0x8c, 0x25, 0x46, 0x68, 0x36, 0x82, 0xb0, 0x6e}, .color_argb = GColorDarkGrayARGB8}, // Pebtris
{.uuid = {0x22, 0xe5, 0x53, 0x87, 0x92, 0x3b, 0x41, 0x9f, 0xae, 0x03, 0xad, 0x09, 0xff, 0x7e, 0xa2, 0x95}, .color_argb = GColorMelonARGB8}, // Calendar
{.uuid = {0x86, 0x5a, 0xd5, 0x5a, 0xe0, 0x18, 0x40, 0x70, 0x97, 0x07, 0x98, 0x22, 0x5b, 0x5a, 0x6a, 0x34}, .color_argb = GColorLightGrayARGB8}, // Asteriod
{.uuid = {0x7f, 0xb1, 0xc6, 0x61, 0x04, 0x50, 0x40, 0x92, 0xb4, 0x13, 0x5c, 0xc8, 0x40, 0xfa, 0x09, 0x45}, .color_argb = GColorBlackARGB8}, // 3 Calendar
{.uuid = {0x4c, 0x9b, 0x88, 0x5b, 0x40, 0x0d, 0x4f, 0x1c, 0x8e, 0x99, 0x4d, 0x38, 0xa1, 0xb7, 0x96, 0xb4}, .color_argb = GColorBlackARGB8}, // GoPro
{.uuid = {0x5c, 0xc7, 0xeb, 0xd1, 0xea, 0x97, 0x49, 0x4c, 0xae, 0x7c, 0xec, 0xd0, 0x5d, 0xd3, 0x3a, 0x5a}, .color_argb = GColorRedARGB8}, // Email to SMS
{.uuid = {0x6f, 0x93, 0x02, 0xfc, 0xed, 0x64, 0x43, 0x5a, 0xae, 0x1a, 0x83, 0x30, 0x8f, 0xe1, 0x18, 0x02}, .color_argb = GColorDarkCandyAppleRedARGB8}, // Pebble Snap
{.uuid = {0x12, 0x10, 0xb1, 0x65, 0x10, 0x52, 0x44, 0x7d, 0x80, 0xb1, 0x55, 0xce, 0x6e, 0x5d, 0x1b, 0x20}, .color_argb = GColorCobaltBlueARGB8}, // Dominos
{.uuid = {0xee, 0x54, 0x11, 0x34, 0x3b, 0x52, 0x4f, 0x7c, 0xbd, 0x88, 0x08, 0xc3, 0x27, 0x6c, 0xa1, 0x4b}, .color_argb = GColorRedARGB8}, // Telepizza
{.uuid = {0x5e, 0x6f, 0xa6, 0x42, 0x51, 0xe9, 0x4e, 0xaf, 0xae, 0x07, 0x7c, 0xdc, 0x27, 0x33, 0x0f, 0xf1}, .color_argb = GColorFollyARGB8}, // AirBerlin
{.uuid = {0xc9, 0x80, 0x84, 0x49, 0x03, 0x00, 0x4e, 0x33, 0x9a, 0xe4, 0xb1, 0x26, 0x5b, 0xaf, 0x42, 0xab}, .color_argb = GColorDarkGrayARGB8}, // Mercedes Benz
{.uuid = {0x58, 0x78, 0x14, 0xd7, 0x79, 0x15, 0x4e, 0x70, 0x8d, 0x77, 0xd5, 0x07, 0x18, 0x7c, 0xb4, 0x4e}, .color_argb = GColorPictonBlueARGB8}, // Gym Timer
{.uuid = {0x2c, 0x4a, 0x34, 0x23, 0x2e, 0x3e, 0x46, 0x0a, 0x8f, 0x6d, 0xbc, 0xdb, 0x4b, 0x46, 0x21, 0xb3}, .color_argb = GColorBlueMoonARGB8}, // Bart on Time
{.uuid = {0x00, 0xe9, 0xde, 0xeb, 0x16, 0xb4, 0x47, 0x52, 0xae, 0x35, 0x2c, 0xc0, 0x88, 0xfc, 0x6c, 0xa9}, .color_argb = GColorOxfordBlueARGB8}, // UK Transport
{.uuid = {0x43, 0xa4, 0xb4, 0xd6, 0x94, 0x04, 0x4f, 0x39, 0x86, 0x8c, 0x59, 0x48, 0x01, 0xa7, 0xb6, 0xb0}, .color_argb = GColorPictonBlueARGB8}, // Twebble
{.uuid = {0x7c, 0x62, 0xa8, 0x0d, 0xbf, 0x8f, 0x4c, 0xd0, 0x87, 0x9c, 0x14, 0xb7, 0x2f, 0x41, 0x07, 0x9d}, .color_argb = GColorWindsorTanARGB8}, // JavaPay
{.uuid = {0x98, 0xa1, 0xc9, 0x95, 0x74, 0x82, 0x48, 0x61, 0xbf, 0xcf, 0xb4, 0x44, 0x75, 0x6b, 0x77, 0xa3}, .color_argb = GColorLightGrayARGB8}, // PebbDrive
{.uuid = {0xf6, 0xf1, 0xa8, 0xdf, 0x4d, 0x06, 0x4e, 0x8a, 0xbe, 0x7c, 0x52, 0xfb, 0x32, 0xf5, 0x3f, 0x98}, .color_argb = GColorRedARGB8}, // PebbleCN
{.uuid = {0x03, 0xa8, 0x3a, 0x53, 0x94, 0x33, 0x49, 0xde, 0x89, 0xde, 0xa3, 0x0e, 0xed, 0x2b, 0xd5, 0x89}, .color_argb = GColorRedARGB8}, // PebbleCC
{.uuid = {0x1a, 0x1a, 0x0e, 0xa3, 0x15, 0x9b, 0x41, 0x97, 0x94, 0x37, 0x16, 0x24, 0xdd, 0x2f, 0xb0, 0x65}, .color_argb = GColorLimerickARGB8}, // PebbGPS
{.uuid = {0x49, 0x82, 0x77, 0x22, 0x4f, 0x3b, 0x4e, 0x3f, 0x9e, 0x96, 0xd6, 0x60, 0x08, 0x9f, 0x50, 0xc1}, .color_argb = GColorMidnightGreenARGB8}, // Compass
{.uuid = {0x3a, 0xc7, 0x96, 0xc0, 0x47, 0x5b, 0x4c, 0xdf, 0x99, 0x77, 0x86, 0x8f, 0xfd, 0x5d, 0x22, 0x25}, .color_argb = GColorDarkGrayARGB8}, // Pebblets
{.uuid = {0x17, 0xbf, 0x83, 0xaa, 0x88, 0xa9, 0x45, 0x9a, 0xa6, 0xe5, 0x60, 0xaa, 0x60, 0xe1, 0xdc, 0x07}, .color_argb = GColorWindsorTanARGB8}, // Timer+
{.uuid = {0xd9, 0x48, 0x17, 0x9c, 0x88, 0xf9, 0x4b, 0x15, 0xa8, 0x4a, 0x35, 0x64, 0x8e, 0x2a, 0x56, 0x10}, .color_argb = GColorVividCeruleanARGB8}, // Leaf
{.uuid = {0xd6, 0x2b, 0xc4, 0x67, 0x84, 0x99, 0x4a, 0xb5, 0x8b, 0xf1, 0x35, 0xeb, 0xf1, 0xee, 0x8f, 0x08}, .color_argb = GColorCadetBlueARGB8}, // Wrist Presenter
{.uuid = {0xe6, 0x0b, 0x30, 0x32, 0x3d, 0x91, 0x4c, 0xb8, 0x8f, 0xa7, 0x27, 0x49, 0x00, 0x0b, 0x7c, 0xa5}, .color_argb = GColorBlackARGB8}, // Kronos
{.uuid = {0x06, 0x0d, 0x81, 0x97, 0x9c, 0xf9, 0x49, 0xd4, 0xab, 0x1d, 0x03, 0x07, 0x4d, 0x0a, 0x6d, 0x50}, .color_argb = GColorOrangeARGB8}, // Grill Timer
{.uuid = {0x07, 0xd8, 0x78, 0x11, 0x51, 0x0f, 0x48, 0xf2, 0xb7, 0x23, 0x6b, 0xcf, 0xc4, 0xdb, 0x9a, 0x40}, .color_argb = GColorTiffanyBlueARGB8}, // Pedemeter
{.uuid = {0x0f, 0xca, 0x4e, 0x5c, 0xda, 0xf2, 0x4a, 0x9b, 0xa2, 0xbd, 0x53, 0xa7, 0x3f, 0x4b, 0x02, 0x1a}, .color_argb = GColorMayGreenARGB8}, // Swing by Swing
{.uuid = {0x73, 0x8f, 0xf8, 0x50, 0xe6, 0x64, 0x44, 0x38, 0x85, 0x34, 0x7f, 0x82, 0x9a, 0x3a, 0x07, 0x1d}, .color_argb = GColorOxfordBlueARGB8}, // Glympse
{.uuid = {0x40, 0xdf, 0x22, 0x7e, 0x47, 0x15, 0x43, 0x69, 0x82, 0xca, 0xec, 0x9d, 0xe5, 0x88, 0x89, 0xea}, .color_argb = GColorDarkCandyAppleRedARGB8}, // CalTrain
{.uuid = {0x1b, 0x35, 0x6b, 0xed, 0xdb, 0xbc, 0x41, 0xd5, 0xa0, 0xf3, 0xec, 0x60, 0xbd, 0x75, 0x1b, 0x15}, .color_argb = GColorDarkCandyAppleRedARGB8}, // ESPN
{.uuid = {0xc6, 0x4a, 0xae, 0x42, 0xb8, 0x22, 0x4d, 0x6d, 0x99, 0x5b, 0xbc, 0x7c, 0x38, 0xe8, 0x43, 0xf4}, .color_argb = GColorCelesteARGB8}, // Timer (1st party)
{.uuid = {0x14, 0xbd, 0x9c, 0xd3, 0x14, 0xdc, 0x4b, 0x81, 0xbd, 0x58, 0x2f, 0x1f, 0xb9, 0xb5, 0x79, 0x78}, .color_argb = GColorYellowARGB8}, // Stopwatch
