/*
 * Copyright 2024 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// ----------------------------------------------------------------
// Sample captured at: 2015-10-07 11:31:00 local, 2015-10-07 18:31:00 GMT
AlgDlsMinuteData *activity_sample_2015_10_07_11_31_00(int *len) {
  // The unit tests parse the //> TEST_.* lines below for test values
  //> TEST_NAME pbl_25972
  //> TEST_VERSION 2
  //> TEST_TOTAL 0
  //> TEST_TOTAL_MIN 0
  //> TEST_TOTAL_MAX 0
  //> TEST_DEEP -1
  //> TEST_DEEP_MIN -1
  //> TEST_DEEP_MAX -1
  //> TEST_START_AT -1
  //> TEST_START_AT_MIN -1
  //> TEST_START_AT_MAX -1
  //> TEST_END_AT -1
  //> TEST_END_AT_MIN -1
  //> TEST_END_AT_MAX -1
  //> TEST_CUR_STATE_ELAPSED -1
  //> TEST_CUR_STATE_ELAPSED_MIN -1
  //> TEST_CUR_STATE_ELAPSED_MAX -1
  //> TEST_IN_SLEEP 0
  //> TEST_IN_SLEEP_MIN 0
  //> TEST_IN_SLEEP_MAX 0
  //> TEST_IN_DEEP_SLEEP 0
  //> TEST_IN_DEEP_SLEEP_MIN 0
  //> TEST_IN_DEEP_SLEEP_MAX 0
  //> TEST_WEIGHT 1.0

  // list of: {steps, orientation, vmc, light}
  static AlgDlsMinuteData samples[] = {
    { 0, 0x54, 355, 200},
    { 0, 0x8c, 5117, 185},
    { 0, 0x8b, 1038, 205},
    { 0, 0x8a, 204, 205},
    { 0, 0x88, 0, 208},
    { 0, 0x89, 10, 204},
    { 0, 0x8a, 56, 203},
    { 0, 0x7e, 2619, 204},
    { 0, 0x8b, 0, 206},
    { 0, 0x8b, 0, 205},
    { 0, 0x8b, 0, 204},
    { 0, 0x8b, 222, 203},
    { 0, 0x8b, 0, 202},
    { 0, 0x8b, 0, 198},
    { 0, 0x8b, 11, 205},
    // 15: Local time: 11:46:00 AM
    { 0, 0x8c, 4121, 186},
    { 19, 0x4e, 6969, 205},
    { 22, 0x74, 5825, 204},
    { 0, 0x66, 1332, 212},
    { 17, 0x74, 4330, 213},
    { 0, 0x61, 9276, 197},
    { 0, 0x31, 3631, 177},
    { 13, 0x7e, 2635, 196},
    { 0, 0x7c, 68, 200},
    { 0, 0x7c, 85, 204},
    { 0, 0x7c, 102, 204},
    { 0, 0x7c, 586, 204},
    { 0, 0x7c, 313, 204},
    { 0, 0x7c, 227, 204},
    { 0, 0x7c, 707, 204},
    // 30: Local time: 12:01:00 PM
    { 0, 0x7c, 22, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 91, 207},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 13, 187},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 207},
    { 0, 0x7c, 0, 207},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 203},
    // 45: Local time: 12:16:00 PM
    { 0, 0x7c, 0, 202},
    { 0, 0x7c, 0, 207},
    { 0, 0x7c, 0, 207},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 206},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 202},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 206},
    { 0, 0x7c, 0, 206},
    { 0, 0x7c, 0, 206},
    { 0, 0x7c, 0, 202},
    { 0, 0x7c, 0, 202},
    { 0, 0x7c, 0, 206},
    // 60: Local time: 12:31:00 PM
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 206},
    { 0, 0x7c, 0, 206},
    { 0, 0x7c, 0, 202},
    { 0, 0x7c, 0, 202},
    { 0, 0x7c, 0, 202},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 202},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 182},
    { 0, 0x7c, 0, 202},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 200},
    // 75: Local time: 12:46:00 PM
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 200},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 200},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 177, 201},
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 44, 201},
    { 0, 0x7c, 11, 194},
    { 0, 0x7c, 0, 200},
    // 90: Local time: 01:01:00 PM
    { 0, 0x7c, 0, 200},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 0, 201},
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 0, 177},
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 192, 204},
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    // 105: Local time: 01:16:00 PM
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 0, 205},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 173, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    // 120: Local time: 01:31:00 PM
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 194},
    { 0, 0x7c, 0, 200},
    { 0, 0x7c, 0, 200},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 199},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 182, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    { 0, 0x7c, 0, 204},
    // 135: Local time: 01:46:00 PM
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 199},
    { 0, 0x7c, 0, 199},
    { 0, 0x7c, 0, 198},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 0, 202},
    { 0, 0x7c, 0, 203},
    { 0, 0x7c, 195, 199},
    { 0, 0x7c, 0, 199},
    { 0, 0x7c, 0, 199},
    { 0, 0x7c, 0, 199},
    // 150: Local time: 02:01:00 PM
    { 0, 0x7c, 0, 198},
    { 0, 0x7c, 0, 199},
    { 9, 0x7e, 4946, 196},
    { 9, 0x33, 8030, 199},
    { 0, 0x42, 4434, 210},
    { 0, 0x62, 771, 183},
    { 25, 0x33, 4505, 205},
    { 0, 0x64, 4519, 190},
    { 7, 0x54, 3109, 206},
    { 0, 0x54, 768, 203},
    { 7, 0x55, 4241, 200},
    { 0, 0x55, 3698, 191},
    { 0, 0x53, 1260, 208},
    { 0, 0x43, 3964, 187},
    { 10, 0x56, 3966, 203},
    // 165: Local time: 02:16:00 PM
    { 0, 0x69, 4910, 209},
    { 0, 0x41, 5002, 199},
    { 13, 0x42, 4330, 204},
    { 0, 0x41, 3793, 202},
    { 0, 0x43, 3745, 206},
    { 23, 0x63, 3241, 199},
    { 0, 0x42, 1302, 205},
    { 14, 0x54, 4444, 193},
    { 0, 0x41, 4403, 201},
    { 0, 0x57, 4262, 194},
    { 0, 0x45, 4602, 194},
    { 14, 0x53, 2980, 200},
    { 0, 0x43, 4379, 206},
    { 0, 0x53, 4462, 202},
    { 0, 0x44, 5899, 199},
    // 180: Local time: 02:31:00 PM
    { 0, 0x52, 3158, 206},
    { 0, 0x44, 3990, 191},
    { 7, 0x66, 2749, 223},
    { 0, 0x46, 5478, 201},
    { 7, 0x34, 5681, 191},
    { 20, 0x34, 3415, 191},
    { 10, 0x35, 6566, 187},
    { 0, 0x23, 6298, 202},
    { 8, 0x34, 6294, 199},
    { 0, 0x35, 3914, 183},
    { 37, 0x14, 2853, 194},
    { 19, 0x51, 5347, 193},
    { 23, 0x41, 8033, 239},
    { 56, 0x51, 6187, 223},
    { 0, 0x71, 365, 223},
    // 195: Local time: 02:46:00 PM
    { 0, 0x62, 1003, 224},
    { 0, 0x72, 651, 221},
    { 0, 0x71, 1184, 229},
    { 0, 0x61, 261, 231},
    { 0, 0x72, 1059, 208},
    { 0, 0x75, 65, 229},
    { 0, 0x65, 1281, 235},
    { 0, 0x59, 1036, 227},
    { 0, 0x65, 405, 227},
    { 0, 0x67, 1398, 236},
    { 0, 0x67, 1201, 230},
    { 0, 0x52, 5140, 227},
    { 0, 0x42, 4269, 227},
    { 12, 0x52, 3600, 212},
    { 7, 0x53, 6122, 240},
    // 210: Local time: 03:01:00 PM
    { 51, 0x41, 8122, 231},
    { 31, 0x51, 4635, 219},
    { 0, 0x64, 2393, 206},
    { 10, 0x53, 2288, 204},
    { 8, 0x55, 2120, 207},
    { 0, 0x42, 4730, 195},
    { 13, 0x69, 4300, 221},
    { 0, 0x49, 1397, 222},
    { 0, 0x69, 1548, 236},
    { 0, 0x62, 44, 235},
    { 0, 0x76, 205, 236},
    { 0, 0x68, 590, 235},
    { 0, 0x75, 0, 236},
    { 0, 0x77, 1549, 236},
    { 0, 0x77, 377, 235},
    // 225: Local time: 03:16:00 PM
    { 0, 0x75, 686, 232},
    { 0, 0x68, 2550, 223},
    { 0, 0x58, 531, 236},
    { 0, 0x74, 627, 208},
    { 0, 0x67, 1108, 226},
    { 0, 0x68, 646, 237},
    { 0, 0x52, 224, 208},
    { 9, 0x63, 2185, 227},
    { 0, 0x53, 1229, 203},
    { 0, 0x54, 2080, 223},
    { 0, 0x76, 1021, 237},
    { 0, 0x75, 2772, 232},
    { 0, 0x8a, 569, 238},
    { 0, 0x79, 568, 223},
    { 0, 0x78, 327, 233},
  };
  *len = ARRAY_LENGTH(samples);
  return samples;
}

